Package ghidra.program.util

# Enum Class ProgramEvent

java.lang.Object
java.lang.Enum<ProgramEvent>
ghidra.program.util.ProgramEvent

All Implemented Interfaces:
  `EventType`, `Serializable`, `Comparable<ProgramEvent>`, `Constable`

public enum ProgramEvent extends Enum<ProgramEvent> implements EventType
Event types for `Program` changes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS_PROPERTY_MAP_ADDED`
  `ADDRESS_PROPERTY_MAP_CHANGED`
  `ADDRESS_PROPERTY_MAP_REMOVED`
  `BOOKMARK_ADDED`
  `BOOKMARK_CHANGED`
  `BOOKMARK_REMOVED`
  `BOOKMARK_TYPE_ADDED`
  `BOOKMARK_TYPE_REMOVED`
  `CODE_ADDED`
  `CODE_REMOVED`
  `CODE_REPLACED`
  `CODE_UNIT_PROPERTY_ALL_REMOVED`
  `CODE_UNIT_PROPERTY_CHANGED`
  `CODE_UNIT_PROPERTY_RANGE_REMOVED`
  `CODE_UNIT_USER_DATA_CHANGED`
  `COMMENT_CHANGED`
  `DATA_TYPE_ADDED`
  `DATA_TYPE_CATEGORY_ADDED`
  `DATA_TYPE_CATEGORY_MOVED`
  `DATA_TYPE_CATEGORY_REMOVED`
  `DATA_TYPE_CATEGORY_RENAMED`
  `DATA_TYPE_CHANGED`
  `DATA_TYPE_MOVED`
  `DATA_TYPE_REMOVED`
  `DATA_TYPE_RENAMED`
  `DATA_TYPE_REPLACED`
  `DATA_TYPE_SETTING_CHANGED`
  `EQUATE_ADDED`
  `EQUATE_REFERENCE_ADDED`
  `EQUATE_REFERENCE_REMOVED`
  `EQUATE_REMOVED`
  `EQUATE_RENAMED`
  `EXTERNAL_ENTRY_ADDED`
  `EXTERNAL_ENTRY_REMOVED`
  `EXTERNAL_NAME_ADDED`
  `EXTERNAL_NAME_CHANGED`
  `EXTERNAL_NAME_REMOVED`
  `EXTERNAL_PATH_CHANGED`
  `EXTERNAL_REFERENCE_ADDED`
  `EXTERNAL_REFERENCE_REMOVED`
  `FALLTHROUGH_CHANGED`
  `FLOW_OVERRIDE_CHANGED`
  `FRAGMENT_CHANGED`
  `FRAGMENT_MOVED`
  `FUNCTION_ADDED`
  `FUNCTION_BODY_CHANGED`
  `FUNCTION_CHANGED`
  `FUNCTION_REMOVED`
  `FUNCTION_TAG_APPLIED`
  `FUNCTION_TAG_CHANGED`
  `FUNCTION_TAG_CREATED`
  `FUNCTION_TAG_DELETED`
  `FUNCTION_TAG_UNAPPLIED`
  `GROUP_ADDED`
  `GROUP_ALIAS_CHANGED`
  `GROUP_COMMENT_CHANGED`
  `GROUP_REMOVED`
  `GROUP_RENAMED`
  `GROUP_REPARENTED`
  `IMAGE_BASE_CHANGED`
  `INT_PROPERTY_MAP_ADDED`
  `INT_PROPERTY_MAP_CHANGED`
  `INT_PROPERTY_MAP_REMOVED`
  `LANGUAGE_CHANGED`
  `LENGTH_OVERRIDE_CHANGED`
  `MEMORY_BLOCK_ADDED`
  `MEMORY_BLOCK_CHANGED`
  `MEMORY_BLOCK_MOVED`
  `MEMORY_BLOCK_REMOVED`
  `MEMORY_BLOCK_SPLIT`
  `MEMORY_BLOCKS_JOINED`
  `MEMORY_BYTES_CHANGED`
  `MODULE_REORDERED`
  `OVERLAY_SPACE_ADDED`
  `OVERLAY_SPACE_REMOVED`
  `OVERLAY_SPACE_RENAMED`
  `PROGRAM_TREE_CREATED`
  `PROGRAM_TREE_REMOVED`
  `PROGRAM_TREE_RENAMED`
  `REFERENCE_ADDED`
  `REFERENCE_PRIMARY_REMOVED`
  `REFERENCE_REMOVED`
  `REFERENCE_TYPE_CHANGED`
  `REFERNCE_PRIMARY_SET`
  `REGISTER_VALUES_CHANGED`
  `RELOCATION_ADDED`
  `SOURCE_ARCHIVE_ADDED`
  `SOURCE_ARCHIVE_CHANGED`
  `SOURCE_FILE_ADDED`
  `SOURCE_FILE_REMOVED`
  `SOURCE_MAP_CHANGED`
  `SYMBOL_ADDED`
  `SYMBOL_ADDRESS_CHANGED`
  `SYMBOL_ANCHOR_FLAG_CHANGED`
  `SYMBOL_ASSOCIATION_ADDED`
  `SYMBOL_ASSOCIATION_REMOVED`
  `SYMBOL_DATA_CHANGED`
  `SYMBOL_PRIMARY_STATE_CHANGED`
  `SYMBOL_REMOVED`
  `SYMBOL_RENAMED`
  `SYMBOL_SCOPE_CHANGED`
  `SYMBOL_SOURCE_CHANGED`
  `USER_DATA_CHANGED`
  `VARIABLE_REFERENCE_ADDED`
  `VARIABLE_REFERENCE_REMOVED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  Returns the unique id assigned to this event type.
  `static ProgramEvent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProgramEvent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MEMORY_BLOCK_ADDED

    public static final ProgramEvent MEMORY_BLOCK_ADDED

  - ### MEMORY_BLOCK_REMOVED

    public static final ProgramEvent MEMORY_BLOCK_REMOVED

  - ### MEMORY_BLOCK_CHANGED

    public static final ProgramEvent MEMORY_BLOCK_CHANGED

  - ### MEMORY_BLOCK_MOVED

    public static final ProgramEvent MEMORY_BLOCK_MOVED

  - ### MEMORY_BLOCK_SPLIT

    public static final ProgramEvent MEMORY_BLOCK_SPLIT

  - ### MEMORY_BLOCKS_JOINED

    public static final ProgramEvent MEMORY_BLOCKS_JOINED

  - ### MEMORY_BYTES_CHANGED

    public static final ProgramEvent MEMORY_BYTES_CHANGED

  - ### IMAGE_BASE_CHANGED

    public static final ProgramEvent IMAGE_BASE_CHANGED

  - ### CODE_ADDED

    public static final ProgramEvent CODE_ADDED

  - ### CODE_REMOVED

    public static final ProgramEvent CODE_REMOVED

  - ### CODE_REPLACED

    public static final ProgramEvent CODE_REPLACED

  - ### CODE_UNIT_PROPERTY_CHANGED

    public static final ProgramEvent CODE_UNIT_PROPERTY_CHANGED

  - ### CODE_UNIT_PROPERTY_ALL_REMOVED

    public static final ProgramEvent CODE_UNIT_PROPERTY_ALL_REMOVED

  - ### CODE_UNIT_PROPERTY_RANGE_REMOVED

    public static final ProgramEvent CODE_UNIT_PROPERTY_RANGE_REMOVED

  - ### SYMBOL_ADDED

    public static final ProgramEvent SYMBOL_ADDED

  - ### SYMBOL_REMOVED

    public static final ProgramEvent SYMBOL_REMOVED

  - ### SYMBOL_SOURCE_CHANGED

    public static final ProgramEvent SYMBOL_SOURCE_CHANGED

  - ### SYMBOL_ANCHOR_FLAG_CHANGED

    public static final ProgramEvent SYMBOL_ANCHOR_FLAG_CHANGED

  - ### SYMBOL_PRIMARY_STATE_CHANGED

    public static final ProgramEvent SYMBOL_PRIMARY_STATE_CHANGED

  - ### SYMBOL_RENAMED

    public static final ProgramEvent SYMBOL_RENAMED

  - ### SYMBOL_SCOPE_CHANGED

    public static final ProgramEvent SYMBOL_SCOPE_CHANGED

  - ### SYMBOL_ASSOCIATION_ADDED

    public static final ProgramEvent SYMBOL_ASSOCIATION_ADDED

  - ### SYMBOL_ASSOCIATION_REMOVED

    public static final ProgramEvent SYMBOL_ASSOCIATION_REMOVED

  - ### SYMBOL_DATA_CHANGED

    public static final ProgramEvent SYMBOL_DATA_CHANGED

  - ### SYMBOL_ADDRESS_CHANGED

    public static final ProgramEvent SYMBOL_ADDRESS_CHANGED

  - ### EXTERNAL_ENTRY_ADDED

    public static final ProgramEvent EXTERNAL_ENTRY_ADDED

  - ### EXTERNAL_ENTRY_REMOVED

    public static final ProgramEvent EXTERNAL_ENTRY_REMOVED

  - ### EXTERNAL_PATH_CHANGED

    public static final ProgramEvent EXTERNAL_PATH_CHANGED

  - ### EXTERNAL_NAME_ADDED

    public static final ProgramEvent EXTERNAL_NAME_ADDED

  - ### EXTERNAL_NAME_REMOVED

    public static final ProgramEvent EXTERNAL_NAME_REMOVED

  - ### EXTERNAL_NAME_CHANGED

    public static final ProgramEvent EXTERNAL_NAME_CHANGED

  - ### EXTERNAL_REFERENCE_ADDED

    public static final ProgramEvent EXTERNAL_REFERENCE_ADDED

  - ### EXTERNAL_REFERENCE_REMOVED

    public static final ProgramEvent EXTERNAL_REFERENCE_REMOVED

  - ### REFERENCE_ADDED

    public static final ProgramEvent REFERENCE_ADDED

  - ### REFERENCE_REMOVED

    public static final ProgramEvent REFERENCE_REMOVED

  - ### REFERENCE_TYPE_CHANGED

    public static final ProgramEvent REFERENCE_TYPE_CHANGED

  - ### REFERNCE_PRIMARY_SET

    public static final ProgramEvent REFERNCE_PRIMARY_SET

  - ### REFERENCE_PRIMARY_REMOVED

    public static final ProgramEvent REFERENCE_PRIMARY_REMOVED

  - ### EQUATE_ADDED

    public static final ProgramEvent EQUATE_ADDED

  - ### EQUATE_REMOVED

    public static final ProgramEvent EQUATE_REMOVED

  - ### EQUATE_REFERENCE_ADDED

    public static final ProgramEvent EQUATE_REFERENCE_ADDED

  - ### EQUATE_REFERENCE_REMOVED

    public static final ProgramEvent EQUATE_REFERENCE_REMOVED

  - ### EQUATE_RENAMED

    public static final ProgramEvent EQUATE_RENAMED

  - ### PROGRAM_TREE_CREATED

    public static final ProgramEvent PROGRAM_TREE_CREATED

  - ### PROGRAM_TREE_REMOVED

    public static final ProgramEvent PROGRAM_TREE_REMOVED

  - ### PROGRAM_TREE_RENAMED

    public static final ProgramEvent PROGRAM_TREE_RENAMED

  - ### GROUP_ADDED

    public static final ProgramEvent GROUP_ADDED

  - ### GROUP_REMOVED

    public static final ProgramEvent GROUP_REMOVED

  - ### GROUP_RENAMED

    public static final ProgramEvent GROUP_RENAMED

  - ### GROUP_COMMENT_CHANGED

    public static final ProgramEvent GROUP_COMMENT_CHANGED

  - ### GROUP_ALIAS_CHANGED

    public static final ProgramEvent GROUP_ALIAS_CHANGED

  - ### GROUP_REPARENTED

    public static final ProgramEvent GROUP_REPARENTED

  - ### MODULE_REORDERED

    public static final ProgramEvent MODULE_REORDERED

  - ### FRAGMENT_MOVED

    public static final ProgramEvent FRAGMENT_MOVED

  - ### FRAGMENT_CHANGED

    public static final ProgramEvent FRAGMENT_CHANGED

  - ### COMMENT_CHANGED

    public static final ProgramEvent COMMENT_CHANGED

  - ### DATA_TYPE_CATEGORY_ADDED

    public static final ProgramEvent DATA_TYPE_CATEGORY_ADDED

  - ### DATA_TYPE_CATEGORY_REMOVED

    public static final ProgramEvent DATA_TYPE_CATEGORY_REMOVED

  - ### DATA_TYPE_CATEGORY_RENAMED

    public static final ProgramEvent DATA_TYPE_CATEGORY_RENAMED

  - ### DATA_TYPE_CATEGORY_MOVED

    public static final ProgramEvent DATA_TYPE_CATEGORY_MOVED

  - ### DATA_TYPE_ADDED

    public static final ProgramEvent DATA_TYPE_ADDED

  - ### DATA_TYPE_REMOVED

    public static final ProgramEvent DATA_TYPE_REMOVED

  - ### DATA_TYPE_RENAMED

    public static final ProgramEvent DATA_TYPE_RENAMED

  - ### DATA_TYPE_MOVED

    public static final ProgramEvent DATA_TYPE_MOVED

  - ### DATA_TYPE_CHANGED

    public static final ProgramEvent DATA_TYPE_CHANGED

  - ### DATA_TYPE_SETTING_CHANGED

    public static final ProgramEvent DATA_TYPE_SETTING_CHANGED

  - ### DATA_TYPE_REPLACED

    public static final ProgramEvent DATA_TYPE_REPLACED

  - ### SOURCE_ARCHIVE_ADDED

    public static final ProgramEvent SOURCE_ARCHIVE_ADDED

  - ### SOURCE_ARCHIVE_CHANGED

    public static final ProgramEvent SOURCE_ARCHIVE_CHANGED

  - ### BOOKMARK_TYPE_ADDED

    public static final ProgramEvent BOOKMARK_TYPE_ADDED

  - ### BOOKMARK_TYPE_REMOVED

    public static final ProgramEvent BOOKMARK_TYPE_REMOVED

  - ### BOOKMARK_ADDED

    public static final ProgramEvent BOOKMARK_ADDED

  - ### BOOKMARK_REMOVED

    public static final ProgramEvent BOOKMARK_REMOVED

  - ### BOOKMARK_CHANGED

    public static final ProgramEvent BOOKMARK_CHANGED

  - ### LANGUAGE_CHANGED

    public static final ProgramEvent LANGUAGE_CHANGED

  - ### REGISTER_VALUES_CHANGED

    public static final ProgramEvent REGISTER_VALUES_CHANGED

  - ### OVERLAY_SPACE_ADDED

    public static final ProgramEvent OVERLAY_SPACE_ADDED

  - ### OVERLAY_SPACE_REMOVED

    public static final ProgramEvent OVERLAY_SPACE_REMOVED

  - ### OVERLAY_SPACE_RENAMED

    public static final ProgramEvent OVERLAY_SPACE_RENAMED

  - ### FUNCTION_TAG_CREATED

    public static final ProgramEvent FUNCTION_TAG_CREATED

  - ### FUNCTION_TAG_CHANGED

    public static final ProgramEvent FUNCTION_TAG_CHANGED

  - ### FUNCTION_TAG_DELETED

    public static final ProgramEvent FUNCTION_TAG_DELETED

  - ### FUNCTION_TAG_APPLIED

    public static final ProgramEvent FUNCTION_TAG_APPLIED

  - ### FUNCTION_TAG_UNAPPLIED

    public static final ProgramEvent FUNCTION_TAG_UNAPPLIED

  - ### FUNCTION_ADDED

    public static final ProgramEvent FUNCTION_ADDED

  - ### FUNCTION_REMOVED

    public static final ProgramEvent FUNCTION_REMOVED

  - ### FUNCTION_BODY_CHANGED

    public static final ProgramEvent FUNCTION_BODY_CHANGED

  - ### FUNCTION_CHANGED

    public static final ProgramEvent FUNCTION_CHANGED

  - ### VARIABLE_REFERENCE_ADDED

    public static final ProgramEvent VARIABLE_REFERENCE_ADDED

  - ### VARIABLE_REFERENCE_REMOVED

    public static final ProgramEvent VARIABLE_REFERENCE_REMOVED

  - ### FALLTHROUGH_CHANGED

    public static final ProgramEvent FALLTHROUGH_CHANGED

  - ### FLOW_OVERRIDE_CHANGED

    public static final ProgramEvent FLOW_OVERRIDE_CHANGED

  - ### LENGTH_OVERRIDE_CHANGED

    public static final ProgramEvent LENGTH_OVERRIDE_CHANGED

  - ### ADDRESS_PROPERTY_MAP_ADDED

    public static final ProgramEvent ADDRESS_PROPERTY_MAP_ADDED

  - ### ADDRESS_PROPERTY_MAP_REMOVED

    public static final ProgramEvent ADDRESS_PROPERTY_MAP_REMOVED

  - ### ADDRESS_PROPERTY_MAP_CHANGED

    public static final ProgramEvent ADDRESS_PROPERTY_MAP_CHANGED

  - ### INT_PROPERTY_MAP_ADDED

    public static final ProgramEvent INT_PROPERTY_MAP_ADDED

  - ### INT_PROPERTY_MAP_REMOVED

    public static final ProgramEvent INT_PROPERTY_MAP_REMOVED

  - ### INT_PROPERTY_MAP_CHANGED

    public static final ProgramEvent INT_PROPERTY_MAP_CHANGED

  - ### CODE_UNIT_USER_DATA_CHANGED

    public static final ProgramEvent CODE_UNIT_USER_DATA_CHANGED

  - ### USER_DATA_CHANGED

    public static final ProgramEvent USER_DATA_CHANGED

  - ### RELOCATION_ADDED

    public static final ProgramEvent RELOCATION_ADDED

  - ### SOURCE_FILE_ADDED

    public static final ProgramEvent SOURCE_FILE_ADDED

  - ### SOURCE_FILE_REMOVED

    public static final ProgramEvent SOURCE_FILE_REMOVED

  - ### SOURCE_MAP_CHANGED

    public static final ProgramEvent SOURCE_MAP_CHANGED

- ## Method Details

  - ### values

    public static ProgramEvent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProgramEvent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Description copied from interface: `EventType`
    Returns the unique id assigned to this event type. The value is guaranteed to be constant for any given run of the application, but can vary from run to run.
    Specified by:
      `getId` in interface `EventType`
    Returns:
      the unique event id assigned to this EventType.